Name:           geronimo-parent-poms
Version:        1.6
Release:        %mkrel 26
Group:          Development/Java
Summary:        Parent POM files for geronimo-specs
License:        ASL 2.0
URL:            http://geronimo.apache.org/
BuildArch:      noarch

# Following the parent chain all the way up ...
Source0:        http://svn.apache.org/repos/asf/geronimo/specs/tags/specs-parent-%{version}/pom.xml
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

# Dependencies and plugins from the POM files
Provides:       geronimo-specs = %{version}-%{release}

%description
The Project Object Model files for the geronimo-specs modules.

%prep
%setup -c -T
cp -p %{SOURCE0} .
cp -p %{SOURCE1} LICENSE
%pom_remove_parent
# IDEA plugin is not really useful in Fedora
%pom_remove_plugin :maven-idea-plugin
%mvn_alias : org.apache.geronimo.specs:specs

# source/target of 1.5 is not supported in fedora
sed -i -e 's/>1\.5</>1.8</' pom.xml
%pom_xpath_inject pom:build "
<pluginManagement><plugins><plugin>
<artifactId>maven-javadoc-plugin</artifactId>
<configuration>
<source>1.8</source>
<detectJavaApiLink>false</detectJavaApiLink>
</configuration>
</plugin></plugins></pluginManagement>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE




%changelog
* Sat Sep 05 2020 daviddavid <daviddavid> 1.6-26.mga8
+ Revision: 1622285
- Allow dependent packages to build against Java 11
- Fix javadoc plugin use for dependent packages
- Rebuilt for JDK-11

* Tue Feb 11 2020 umeabot <umeabot> 1.6-25.mga8
+ Revision: 1489476
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.6-24.mga7
+ Revision: 1260577
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.6-23.mga6
+ Revision: 1102542
- Add missing build-requires

* Wed Mar 02 2016 neoclust <neoclust> 1.6-22.mga6
+ Revision: 982302
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.6-21.mga6
+ Revision: 976284
- First rebuild of the java stack
- sync package geronimo-parent-poms with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6-12.mga5
+ Revision: 739540
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.6-10.mga4
+ Revision: 529850
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1.6-9.mga4
+ Revision: 453749
- Remove maven-idea-plugin

* Sat Jan 12 2013 umeabot <umeabot> 1.6-8.mga3
+ Revision: 351460
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 07 2012 dmorgan <dmorgan> 1.6-7.mga2
+ Revision: 192780
- Remove maven2 deps

* Thu Apr 28 2011 dmorgan <dmorgan> 1.6-5.mga1
+ Revision: 92447
- Rebuild after bootstrapping
- imported package geronimo-parent-poms


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  3 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-3
- Fix tabs and spaces in srpm
- Remove config flag from mavendepmapfragdir
- Add jpackage-utils to the BuildRequires

* Tue Jan 19 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-2
- Don't include the apache root pom; it's already in maven2-common-poms
- Double check the dependencies to include only what's in the POMs
- Add initial Provides for the genesis stuff
- Fix changelog

* Mon Jan 18 2010 Mary Ellen Foster <mefoster at gmail.com> 1.6-1
- Initial package
